For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate Vendor Bill
      • POSTUpload Vendor Bill Attachment
LogoLogo
SupportDeel Home
EndpointsTreasury

Upload Vendor Bill Attachment

POST
/accounts-payable/vendor-bills/:vendor_bill_id/attachments
POST
/rest/v2/accounts-payable/vendor-bills/:vendor_bill_id/attachments
$curl -X POST https://api.letsdeel.com/rest/v2/accounts-payable/vendor-bills/9b9fc43a-a90c-4615-ac50-baf1e314b53e/attachments \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F data='{}'
1{
2 "data": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "created_at": "2025-01-15T10:30:00.000Z",
5 "updated_at": "2025-01-15T10:30:00.000Z"
6 }
7}

Attaches a PDF invoice file to an existing vendor bill, submitted as multipart/form-data. The target bill must already exist before this call is made. Token scopes: treasury-vendorbill:write

Was this page helpful?
Previous

List users

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

vendor_bill_idstringRequiredformat: "uuid"
Vendor bill id to attach the file to

Request

This endpoint expects a multipart form.
dataobjectRequired

Response

File uploaded successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication